Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5099)
@@ -0,0 +1,261 @@
+SUBROUTINE condsurfs_new(jour, edgar, flag_dms, &
+        lmt_so2b, lmt_so2h, lmt_so2nff, &
+        lmt_so2bb_l, lmt_so2bb_h, lmt_so2ba, &
+        lmt_so2volc_cont, lmt_altvolc_cont, &
+        lmt_so2volc_expl, lmt_altvolc_expl, &
+        lmt_dmsbio, lmt_h2sbio, lmt_dms, &
+        lmt_dmsconc)
+  USE mod_grid_phy_lmdz
+  USE mod_phys_lmdz_para
+  USE dimphy
+  USE netcdf, ONLY : nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
+  IMPLICIT none
+
+  ! Lire les conditions aux limites du modele pour la chimie.
+  ! --------------------------------------------------------
+
+  INCLUDE "dimensions.h"
+
+  REAL :: lmt_so2b(klon), lmt_so2h(klon), lmt_so2nff(klon)
+  REAL :: lmt_so2bb_l(klon), lmt_so2bb_h(klon)
+  REAL :: lmt_dmsbio(klon), lmt_h2sbio(klon), lmt_so2ba(klon)
+  REAL :: lmt_so2volc_cont(klon), lmt_altvolc_cont(klon)
+  REAL :: lmt_so2volc_expl(klon), lmt_altvolc_expl(klon)
+  REAL :: lmt_dms(klon), lmt_dmsconc(klon)
+
+  REAL :: lmt_so2b_glo(klon_glo), lmt_so2h_glo(klon_glo)
+  REAL :: lmt_so2nff_glo(klon_glo)
+  REAL :: lmt_so2bb_l_glo(klon_glo), lmt_so2bb_h_glo(klon_glo)
+  REAL :: lmt_dmsbio_glo(klon_glo), lmt_h2sbio_glo(klon_glo)
+  REAL :: lmt_so2ba_glo(klon_glo)
+  REAL :: lmt_so2volc_cont_glo(klon_glo), lmt_altvolc_cont_glo(klon_glo)
+  REAL :: lmt_so2volc_expl_glo(klon_glo), lmt_altvolc_expl_glo(klon_glo)
+  REAL :: lmt_dms_glo(klon_glo), lmt_dmsconc_glo(klon_glo)
+  LOGICAL :: edgar
+  INTEGER :: flag_dms
+
+  INTEGER :: jour, i
+  INTEGER :: ierr
+  INTEGER :: nid, nvarid
+  INTEGER :: debut(2), epais(2)
+
+  IF (jour<0 .OR. jour>(366 - 1)) THEN
+    PRINT*, 'Le jour demande n est pas correcte:', jour
+    print *, 'JE: FORCED TO CONTINUE (emissions have&
+            & to be longer than 1 year!!!! )'
+    ! CALL ABORT
+  ENDIF
+
+  !$OMP MASTER
+  IF (is_mpi_root .AND. is_omp_root) THEN
+
+    ! Tranche a lire:
+    debut(1) = 1
+    debut(2) = jour
+    ! epais(1) = klon
+    epais(1) = klon_glo
+    epais(2) = 1
+    !=======================================================================
+    ! READING NEW EMISSIONS FROM RCP
+    !=======================================================================
+
+    ierr = nf90_open ("sulphur_emissions_antro.nc", nf90_nowrite, nid)
+    if (ierr/=nf90_noerr) then
+      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_antro'
+      write(6, *)' ierr = ', ierr
+      call exit(1)
+    endif
+
+    ! SO2 Low level emissions
+
+    ierr = nf90_inq_varid (nid, "SO2FF_LOW", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2b_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 low'
+      print *, 'JE klon, jour, debut ,epais ', klon_glo, jour, debut, epais
+      CALL HANDLE_ERR(ierr)
+      print *, 'error ierr= ', ierr
+      CALL exit(1)
+    ENDIF
+
+    ! SO2 High level emissions
+
+    ierr = nf90_inq_varid (nid, "SO2FF_HIGH", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2h_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 high'
+      CALL exit(1)
+    ENDIF
+
+    ! SO2 Biomass burning High level emissions
+
+    ierr = nf90_inq_varid (nid, "SO2BBH", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2bb_h_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 BB high'
+      CALL exit(1)
+    ENDIF
+
+    ! SO2 biomass burning low level emissions
+
+    ierr = nf90_inq_varid (nid, "SO2BBL", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2bb_l_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 BB low'
+      CALL exit(1)
+    ENDIF
+
+    ! SO2 ship emissions
+
+    ierr = nf90_inq_varid (nid, "SO2BA", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2ba_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 ship'
+      CALL exit(1)
+    ENDIF
+
+    ! SO2 Non Fossil Fuel Emissions
+
+    ierr = nf90_inq_varid (nid, "SO2NFF", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2nff_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 non FF'
+      CALL exit(1)
+    ENDIF
+
+    ierr = nf90_close(nid)
+
+    !=======================================================================
+    ! READING NATURAL EMISSIONS
+    !=======================================================================
+    ierr = nf90_open ("sulphur_emissions_nat.nc", nf90_nowrite, nid)
+    if (ierr/=nf90_noerr) then
+      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_nat'
+      write(6, *)' ierr = ', ierr
+      call exit(1)
+    endif
+
+    ! Biologenic source of DMS
+
+    ierr = nf90_inq_varid (nid, "DMSB", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsbio_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms bio'
+      CALL exit(1)
+    ENDIF
+
+    ! Biologenic source of H2S
+
+    ierr = nf90_inq_varid (nid, "H2SB", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_h2sbio_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources h2s bio'
+      CALL exit(1)
+    ENDIF
+
+    ! Ocean surface concentration of dms (emissions are computed later)
+
+    IF (flag_dms==4) THEN
+
+      ierr = nf90_inq_varid (nid, "DMSC2", nvarid)
+      ierr = nf90_get_var(nid, nvarid, lmt_dmsconc_glo, debut, epais)
+      IF (ierr /= nf90_noerr) THEN
+        PRINT*, 'Pb de lecture pour les sources dms conc 2'
+        CALL exit(1)
+      ENDIF
+
+      DO i = 1, klon
+        ! lmt_dms(i)=0.0
+        lmt_dms_glo(i) = 0.0
+      ENDDO
+
+    ELSE
+
+      PRINT *, 'choix non possible pour flag_dms'
+      STOP
+
+    ENDIF
+
+    ierr = nf90_close(nid)
+
+    !=======================================================================
+    !                  READING VOLCANIC EMISSIONS
+    !=======================================================================
+    print *, '   ***      READING VOLCANIC EMISSIONS   ***   '
+    print *, ' Jour = ', jour
+    ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
+    if (ierr/=nf90_noerr) then
+      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_volc'
+      write(6, *)' ierr = ', ierr
+      call exit(1)
+    endif
+
+    ! Continuous Volcanic emissions
+
+    !  ierr = nf90_inq_varid (nid, "VOLC", nvarid)
+    ierr = nf90_inq_varid (nid, "flx_volc_cont", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2volc_cont_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 volcan (cont)'
+      CALL exit(1)
+    ENDIF
+    print *, 'SO2 volc cont (in read) = ', SUM(lmt_so2volc_cont_glo), &
+            MINVAL(lmt_so2volc_cont_glo), MAXVAL(lmt_so2volc_cont_glo)
+    ! lmt_so2volc(:)=0.0
+
+    ! Altitud of continuous volcanic emissions
+
+    !  ierr = nf90_inq_varid (nid, "ALTI", nvarid)
+    ierr = nf90_inq_varid (nid, "flx_volc_altcont", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_altvolc_cont_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les altitudes volcan (cont)'
+      CALL exit(1)
+    ENDIF
+
+    ! Explosive Volcanic emissions
+
+    ierr = nf90_inq_varid (nid, "flx_volc_expl", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2volc_expl_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 volcan (expl)'
+      CALL exit(1)
+    ENDIF
+    ! lmt_so2volc_expl(:)=0.0
+    print *, 'SO2 volc expl (in read) = ', SUM(lmt_so2volc_expl_glo), &
+            MINVAL(lmt_so2volc_expl_glo), MAXVAL(lmt_so2volc_expl_glo)
+
+    ! Altitud of explosive volcanic emissions
+
+    ierr = nf90_inq_varid (nid, "flx_volc_altexpl", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_altvolc_expl_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les altitudes volcan'
+      CALL exit(1)
+    ENDIF
+    ! lmt_altvolc_expl(:)=0.0
+
+    ierr = nf90_close(nid)
+
+    PRINT*, 'Sources SOUFRE lues pour jour: ', jour
+
+  ENDIF
+  !$OMP END MASTER
+  !$OMP BARRIER
+  call scatter(lmt_so2b_glo, lmt_so2b)
+  call scatter(lmt_so2h_glo, lmt_so2h)
+  call scatter(lmt_so2bb_h_glo, lmt_so2bb_h)
+  call scatter(lmt_so2bb_l_glo, lmt_so2bb_l)
+  call scatter(lmt_so2ba_glo, lmt_so2ba)
+  call scatter(lmt_so2nff_glo, lmt_so2nff)
+  call scatter(lmt_dmsbio_glo, lmt_dmsbio)
+  call scatter(lmt_h2sbio_glo, lmt_h2sbio)
+  call scatter(lmt_dmsconc_glo, lmt_dmsconc)
+  call scatter(lmt_dms_glo, lmt_dms)
+  call scatter(lmt_so2volc_cont_glo, lmt_so2volc_cont)
+  call scatter(lmt_altvolc_cont_glo, lmt_altvolc_cont)
+  call scatter(lmt_so2volc_expl_glo, lmt_so2volc_expl)
+  call scatter(lmt_altvolc_expl_glo, lmt_altvolc_expl)
+
+  RETURN
+END SUBROUTINE condsurfs_new
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5099)
@@ -466,8 +466,4 @@
 !  emdustsco(k)=auxr3*tuningfactor
 !enddo
-!
-
-
-
 
 !JEdbg<<
@@ -904,5 +900,5 @@
 if (1==1) then
 !  !  CALL writefield_phy("AA",tmp1(1:klon,1:5),5)
-!
+
     CALL writefield_phy("REPART5",feff(1:klon,1:5),5)
     CALL writefield_phy("REPART5dbg",feffdbg(1:klon,1:5),5)
@@ -925,13 +921,13 @@
 !  if (.false.) then
 !!**************L718
-!
+
 !!c------------------------------------------------------------------------
 !! isolog distrib and massfrac calculations.
-!
+
 !      nbinsout=nbins+1
 !      b1=log(sizedustmin)
 !      b2=log(sizedustmax)
 !! restricted ISOLOG bins distributions
-!
+
 !!      step=(b2-b1)/(nbinsout-1)
 !!      DO ni=1,nbinsout
@@ -945,5 +941,5 @@
 !     binsHR(nb)=exp(b1+(nb-1)*stepbin)
 !  END DO
-!
+
 !  DO nb=1,nbinsHR
 !     binsHRcm(nb)=binsHR(nb)*1.e-4
@@ -951,11 +947,11 @@
 !! Making HIGH RESOLUTION dry deposition velocity
 !     CALL calcvd(vdout)
-!
-!
+
+
 ! DO nb=1,nbinsHR
 !     vdHR(nb)=vdout(nb)
 !!  WRITE(18,*),binsHR(nb),vdHR(nb)
 !  END DO
-!
+
 !   !searching for minimum value of dry deposition velocity
 !  minisograd=1.e20
@@ -966,7 +962,7 @@
 !     END IF
 !  END DO
-!
+
 !! searching for optimal number of bins in positive slope Vd part
-!
+
 !  nbins1=1
 !  nbins2=nbinsout-1
@@ -976,5 +972,5 @@
 !        IF(delta2.GE.delta1)THEN
 !        GOTO 50
-!
+
 !        ELSE
 !           nbins2=nbins2-1
@@ -994,11 +990,11 @@
 !     logvdISOGRAD(k)=logvdISOGRAD(1)-(k-1)*delta1
 !  END DO
-!
+
 !  logvdISOGRAD(nbins1+1)=log(minisograd)
-!
+
 !  DO k=1,nbins2
 !     logvdISOGRAD(nbins1+1+k)=logvdISOGRAD(nbins1+1)+k*delta2
 !  END DO
-!
+
 !  DO k=1,nbinsout
 !     vdISOGRAD(k)=exp(logvdISOGRAD(k))
@@ -1040,5 +1036,5 @@
 
 ! Making dust size distribution (in um)
-!
+
       nbinsout=nbins+1
       b1=log(sizedustmin)
@@ -1053,5 +1049,5 @@
 !     binsHR(nb)=exp(b1+(nb-1)*stepbin)
 !  END DO
-!
+
 !  DO nb=1,nbinsHR
 !     binsHRcm(nb)=binsHR(nb)*1.e-4
@@ -1188,5 +1184,5 @@
 !  print
 !*,'zwstar=sqrt(2.*(',flag_wstarBL,'ale_bl+0.01*(',flag_wstar,'-100)*ale_wake))'
-  !
+
     DO i=1,klon  ! main loop
      zwstar(i)=sqrt(2.*(param_wstarBL(i)*ale_bl(i)+param_wstarWAKE(i)*ale_wake(i)))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.F	(revision 5099)
@@ -102,5 +102,5 @@
 ! fluxes are defined on klev levels only.
 ! NHL
-!
+
       flxr_aux(:,klev+1)=0.0
       flxs_aux(:,klev+1)=0.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5099)
@@ -0,0 +1,22 @@
+SUBROUTINE kg_to_cm3(pplay, t_seri, tr_seri)
+
+  USE dimphy
+  USE infotrac
+  IMPLICIT NONE
+
+  INCLUDE "dimensions.h"
+  INCLUDE "YOMCST.h"
+
+  REAL :: t_seri(klon, klev), pplay(klon, klev)
+  REAL :: tr_seri(klon, klev)
+  REAL :: zrho
+  INTEGER :: i, k
+
+  DO k = 1, klev
+    DO i = 1, klon
+      zrho = pplay(i, k) / t_seri(i, k) / RD
+      tr_seri(i, k) = tr_seri(i, k) / 1.e6 * zrho
+    ENDDO
+  ENDDO
+
+END SUBROUTINE kg_to_cm3
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5099)
@@ -10,6 +10,6 @@
   USE traclmdz_mod
   USE infotrac,ONLY : nbtr
-!!!  USE geometry_mod
   USE iophy
+  USE lmdz_yomcst
 
   IMPLICIT NONE 
@@ -23,6 +23,5 @@
   include "dimensions.h"
   include "chem.h"
-  include "YOMCST.h"
-  include "YOECUMF.h" 
+  include "YOECUMF.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
@@ -53,5 +52,5 @@
  LOGICAL,SAVE :: debut=.true.
 !$OMP THREADPRIVATE(debut)
-!
+
   REAL,PARAMETER :: henry=1.4  ! constante de Henry en mol/l/atm ~1.4 for gases
   REAL           :: henry_t    !  constante de Henry a T t  (mol/l/atm)
@@ -89,12 +88,12 @@
   REAL           :: pr, ps, ice, water
   real :: conserv
-!
+
 !!!!!!!!!!!!!!!!!!!! choix lessivage !!!!!!!!!!!!!!!!!!!!!!!!
 !!  logical,save  :: inscav_fisrt
 !!! $OMP THREADPRIVATE(inscav_first)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (debut) THEN
-!
+
 !  inscav_fisrt=.true.
 !  call getin('inscav_fisrt',inscav_fisrt)
@@ -104,5 +103,5 @@
 !   print*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
 !  endif
-!
+
       alpha_r=0.001        !  coefficient d'impaction pour la pluie
       alpha_s=0.01         !  coefficient d'impaction pour la neige  
@@ -113,8 +112,7 @@
 !     frac_aer=0.5 ~ droplet size shrinks by evap
       frac_aer=0.5
-!
 
 !JE to speed up, commented 20140219
-!
+
 !      OPEN(99,file='lsc_scav_param.data',status='old', &
 !                form='formatted',err=9999)
@@ -129,5 +127,5 @@
 !      CLOSE(99)
 !9999  Continue
-!
+
 !   print*,'alpha_r',alpha_r
 !   print*,'alpha_s',alpha_s
@@ -137,10 +135,10 @@
 !   print*,'frac_coar_scav',frac_coar_scav
 !   print*,'frac_aer ev',frac_aer
-!
+
 ! JE endcomment
-!
+
   ENDIF !(debut)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 ! initialization
   dxin=0.
@@ -212,5 +210,5 @@
    endif ! (iflag_lscav .eq. 4)
    beta_v1(i,k)=beta    !! for output
-!
+
       dxin=tr_seri(i,k,it)*(exp(-scav(i,k)*beta*pdtime)-1.)
 !      his_dh(i)=his_dh(i)-dxin*zrho(i,k)*zdz(i,k)/pdtime !  kg/m2/s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_spl.F90	(revision 5099)
@@ -12,6 +12,6 @@
   USE traclmdz_mod
   USE infotrac,ONLY : nbtr
-!  USE comgeomphy
   USE iophy
+  USE lmdz_yomcst
   IMPLICIT NONE 
 !=====================================================================
@@ -25,6 +25,5 @@
   include "dimensions.h"
   include "chem.h"
-  include "YOMCST.h"
-  include "YOECUMF.h" 
+  include "YOECUMF.h"
 
   REAL,INTENT(IN)                        :: pdtime ! time step (s)
@@ -56,5 +55,5 @@
  LOGICAL,SAVE :: debut=.true.
 !$OMP THREADPRIVATE(debut)
-!
+
 !JE  REAL,PARAMETER :: henry=1.4  ! constante de Henry en mol/l/atm ~1.4 for gases
   REAL,DIMENSION(nbtr) :: henry  ! constante de Henry en mol/l/atm ~1.4 for gases
@@ -99,12 +98,12 @@
   REAL           :: pr, ps, ice, water
   real :: conserv
-!
+
 !!!!!!!!!!!!!!!!!!!! choix lessivage !!!!!!!!!!!!!!!!!!!!!!!!
 !!  logical,save  :: inscav_fisrt
 !!! $OMP THREADPRIVATE(inscav_first)
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!
   IF (debut) THEN
-!
+
 !  inscav_fisrt=.true.
 !  call getin('inscav_fisrt',inscav_fisrt)
@@ -114,5 +113,5 @@
 !   print*,'beta from Reddy and Bocuher 2004 (original version), inscav_fisrt=',inscav_fisrt
 !  endif
-!
+
 !JE      alpha_r=0.001        !  coefficient d'impaction pour la pluie
 !JE      alpha_s=0.01         !  coefficient d'impaction pour la neige  
@@ -123,8 +122,7 @@
 !     frac_aer=0.5 ~ droplet size shrinks by evap
       frac_aer=0.5
-!
 
 !JE to speed up, commented 20140219
-!
+
 !      OPEN(99,file='lsc_scav_param.data',status='old', &
 !                form='formatted',err=9999)
@@ -139,5 +137,5 @@
 !      CLOSE(99)
 !9999  Continue
-!
+
 !   print*,'JE alpha_r',alpha_r
 !   print*,'JE alpha_s',alpha_s
@@ -147,10 +145,10 @@
 !   print*,'frac_coar_scav',frac_coar_scav
 !   print*,'frac_aer ev',frac_aer
-!
+
 ! JE endcomment
-!
+
   ENDIF !(debut)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 ! initialization
   dxin=0.
@@ -223,5 +221,5 @@
    endif ! (iflag_lscav .eq. 4)
    beta_v1(i,k)=beta    !! for output
-!
+
       dxin=tr_seri(i,k,it)*(exp(-scav(i,k)*beta*pdtime)-1.)
 !      his_dh(i)=his_dh(i)-dxin*zrho(i,k)*zdz(i,k)/pdtime !  kg/m2/s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: phys_output_write_mod.F90 2298 2015-06-14 19:13:32Z fairhead $
-!
+
 MODULE phys_output_write_spl_mod
 
@@ -395,4 +395,5 @@
     USE wxios, ONLY: wxios_closedef, missing_val_xios => missing_val
     USE phys_cal_mod, ONLY : mth_len
+    USE lmdz_yomcst
 
     IMPLICIT NONE
@@ -402,5 +403,4 @@
     INCLUDE "alpale.h"
     INCLUDE "compbl.h"
-    INCLUDE "YOMCST.h"
     INCLUDE "dimensions.h"
     include "iniprint.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5099)
@@ -4,29 +4,27 @@
 MODULE phytracr_spl_mod
 
-! Recuperation des morceaux de la physique de Jeronimo specifiques
-! du modele d'aerosols d'Olivier n'co.
-!
-INCLUDE "chem.h"
-INCLUDE "chem_spla.h"
-
-  REAL,SAVE  :: scale_param_ssacc  !Scaling parameter for Fine Sea Salt
-  REAL,SAVE ::  scale_param_sscoa  !Scaling parameter for Coarse Sea Salt
-
-
-
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_ind !Scaling parameter for industrial emissions of SO2
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_bb  !Scaling parameter for biomas burning (SO2,BC & OM)
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_ff  !Scaling parameter for industrial emissions (fossil fuel)
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_dustacc  !Scaling parameter for Fine Dust
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_dustcoa  !Scaling parameter for Coarse Dust
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: scale_param_dustsco  !Scaling parameter for SCoarse Dust
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: param_wstarBLperregion  !parameter for ..
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE :: param_wstarWAKEperregion  !parameter for ..
+  ! Recuperation des morceaux de la physique de Jeronimo specifiques
+  ! du modele d'aerosols d'Olivier n'co.
+
+  INCLUDE "chem.h"
+  INCLUDE "chem_spla.h"
+
+  REAL, SAVE :: scale_param_ssacc  !Scaling parameter for Fine Sea Salt
+  REAL, SAVE :: scale_param_sscoa  !Scaling parameter for Coarse Sea Salt
+
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_ind !Scaling parameter for industrial emissions of SO2
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_bb  !Scaling parameter for biomas burning (SO2,BC & OM)
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_ff  !Scaling parameter for industrial emissions (fossil fuel)
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_dustacc  !Scaling parameter for Fine Dust
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_dustcoa  !Scaling parameter for Coarse Dust
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: scale_param_dustsco  !Scaling parameter for SCoarse Dust
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: param_wstarBLperregion  !parameter for ..
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: param_wstarWAKEperregion  !parameter for ..
   !$OMP THREADPRIVATE(scale_param_ind,scale_param_bb,scale_param_ff)
   !$OMP THREADPRIVATE(scale_param_dustacc,scale_param_dustcoa,scale_param_dustsco)
   !$OMP THREADPRIVATE(scale_param_ssacc,scale_param_sscoa)
   !$OMP THREADPRIVATE(param_wstarBLperregion,param_wstarWAKEperregion)
-  REAL, DIMENSION(:),ALLOCATABLE,SAVE ::dust_ec, u10m_ec, v10m_ec
-!$OMP THREADPRIVATE(dust_ec, u10m_ec, v10m_ec)
+  REAL, DIMENSION(:), ALLOCATABLE, SAVE :: dust_ec, u10m_ec, v10m_ec
+  !$OMP THREADPRIVATE(dust_ec, u10m_ec, v10m_ec)
 
   CHARACTER*800 fileregionsdimsind
@@ -45,5 +43,4 @@
   CHARACTER*100 paramname_wstarWAKE
 
-
   CHARACTER*800 filescaleparams
   CHARACTER*800 paramsname
